Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236075 - stat failure errors while doing cmirror creation/deletion operations
Summary: stat failure errors while doing cmirror creation/deletion operations
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: lvm2-cluster
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Milan Broz
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-11 20:10 UTC by Corey Marthaler
Modified: 2013-03-01 04:05 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-17 12:25:52 UTC


Attachments (Terms of Use)

Description Corey Marthaler 2007-04-11 20:10:01 UTC
Description of problem:
In an attempt to verify the fix for bz 213754, I was doing looping create/delete
operations from all 4 nodes in my cluster. This caused some of these operations
to report different stat/lstat errors, even though the operations succeeded.
Also, this may be an lvm2-cluster issue and not necessarily cmirror specific.

Is this happening besause of the deletes on other nodes during the creation process?


[root@link-08 ~]# lvcreate -m 1 -n $(hostname).1 -L500M feist
  /dev/dm-6: stat failed: No such file or directory
  Path /dev/dm-6 no longer valid for device(253,6)
  /dev/mapper/feist-link--02.2_mlog: stat failed: No such file or directory
  Path /dev/mapper/feist-link--02.2_mlog no longer valid for device(253,6)
  Aborting - please provide new pathname for what used to be
/dev/mapper/feist-link--02.2_mlog
  /dev/dm-7: stat failed: No such file or directory
  Path /dev/dm-7 no longer valid for device(253,7)
  /dev/mapper/feist-link--02.2_mimage_0: stat failed: No such file or directory
  Path /dev/mapper/feist-link--02.2_mimage_0 no longer valid for device(253,7)
  Aborting - please provide new pathname for what used to be
/dev/mapper/feist-link--02.2_mimage_0
  /dev/dm-8: stat failed: No such file or directory
  Path /dev/dm-8 no longer valid for device(253,8)
  /dev/mapper/feist-link--02.2_mimage_1: stat failed: No such file or directory
  Path /dev/mapper/feist-link--02.2_mimage_1 no longer valid for device(253,8)
  Aborting - please provide new pathname for what used to be
/dev/mapper/feist-link--02.2_mimage_1
  /dev/dm-9: stat failed: No such file or directory
  Path /dev/dm-9 no longer valid for device(253,9)
  /dev/mapper/feist-link--02.2_mimage_2: stat failed: No such file or directory
  Path /dev/mapper/feist-link--02.2_mimage_2 no longer valid for device(253,9)
  Aborting - please provide new pathname for what used to be
/dev/mapper/feist-link--02.2_mimage_2
  /dev/dm-10: stat failed: No such file or directory
  Path /dev/dm-10 no longer valid for device(253,10)
  /dev/feist/link-02.2: stat failed: No such file or directory
  Path /dev/feist/link-02.2 no longer valid for device(253,10)
  /dev/mapper/feist-link--02.2: stat failed: No such file or directory
  Path /dev/mapper/feist-link--02.2 no longer valid for device(253,10)
  Aborting - please provide new pathname for what used to be
/dev/mapper/feist-link--02.2
  /dev/mapper/feist-link--02.2_mlog: lstat failed: No such file or directory
  /dev/mapper/feist-link--02.2_mimage_2: lstat failed: No such file or directory
  Logical volume "link-08.1" created



Version-Release number of selected component (if applicable):
[root@link-08 ~]# rpm -q lvm2
lvm2-2.02.21-3.el4
[root@link-08 ~]# rpm -q lvm2-cluster
lvm2-cluster-2.02.21-3.el4
[root@link-08 ~]# rpm -q cmirror-kernel
cmirror-kernel-2.6.9-30.0

Comment 1 Jonathan Earl Brassow 2007-04-19 14:49:27 UTC
could we get a -vvvv output for this?


Comment 3 Jonathan Earl Brassow 2008-03-26 18:25:17 UTC
I see this often as well.  It appears that device-mapper devices are being put
in the LVM cache - then LVM commands complain when it doesn't find them (because
another machine removed them while the lvm command was in progress?).



Comment 6 Milan Broz 2010-05-17 12:25:52 UTC
I think there were so many changes to this code, some of them surely fixes at least part of this... 

If you still see this, please reopen, thanks.


Note You need to log in before you can comment on or make changes to this bug.